Modify

Opened 5 years ago

Closed 2 years ago

#12239 closed defect (wontfix)

Sqlite3 missing in python

Reported by: dgspai@… Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Attitude Adjustment 12.09 Beta
Keywords: Cc:

Description

I'm trying install and run pyload, but its missing sqlite3.
Running OpenWrt Attitude Adjustment 12.09-beta / LuCI Trunk (trunk+svn9220).

Packpages installed:

base-files - 115-r33312
blkid - 2.21.2-1
block-mount - 0.2.0-8
busybox - 1.19.4-3
ddns-scripts - 1.0.0-20
distribute - 0.6.21-1
dnsmasq - 2.62-2
dropbear - 2011.54-2
firewall - 2-53
giflib - 4.1.6-1
hotplug2 - 1.0-beta-4
iptables - 1.4.10-4
iw - 3.3-1
js - 1.6.20070208-2
jshn - 2012-07-08-cca2ed6c8cdb3555fea43ff63ba1c9905dd7a164
kernel - 3.3.8-1-6c06ba2494c9c458b747d6a40b2cc970
kmod-ath - 3.3.8+2012-07-16-1
kmod-ath9k - 3.3.8+2012-07-16-1
kmod-ath9k-common - 3.3.8+2012-07-16-1
kmod-cfg80211 - 3.3.8+2012-07-16-1
kmod-crypto-aes - 3.3.8-1
kmod-crypto-arc4 - 3.3.8-1
kmod-crypto-core - 3.3.8-1
kmod-fs-ext4 - 3.3.8-1
kmod-gpio-button-hotplug - 3.3.8-1
kmod-ipt-conntrack - 3.3.8-1
kmod-ipt-core - 3.3.8-1
kmod-ipt-nat - 3.3.8-1
kmod-ipt-nathelper - 3.3.8-1
kmod-leds-gpio - 3.3.8-1
kmod-ledtrig-default-on - 3.3.8-1
kmod-ledtrig-netdev - 3.3.8-1
kmod-ledtrig-timer - 3.3.8-1
kmod-ledtrig-usbdev - 3.3.8-1
kmod-lib-crc-ccitt - 3.3.8-1
kmod-lib-crc16 - 3.3.8-1
kmod-mac80211 - 3.3.8+2012-07-16-1
kmod-nls-base - 3.3.8-1
kmod-ppp - 3.3.8-1
kmod-pppoe - 3.3.8-1
kmod-pppox - 3.3.8-1
kmod-scsi-core - 3.3.8-1
kmod-usb-core - 3.3.8-1
kmod-usb-ohci - 3.3.8-1
kmod-usb-storage - 3.3.8-1
kmod-usb2 - 3.3.8-1
kmod-wdt-ath79 - 3.3.8-1
libblkid - 2.21.2-1
libblobmsg-json - 2012-07-08-cca2ed6c8cdb3555fea43ff63ba1c9905dd7a164
libbz2 - 1.0.6-1
libc - 0.9.33.2-1
libcurl - 7.23.1-1
libevent2 - 2.0.19-1
libexpat - 2.0.1-1
libffi - 3.0.10-1
libfreetype - 2.4.8-1
libgcc - 4.6-linaro-1
libgmp - 4.3.1-2
libip4tc - 1.4.10-4
libiwinfo - 35
libiwinfo-lua - 35
libjpeg - 6b-1
libjs - 1.6.20070208-2
libjson - 0.9-2
libleptonica - 1.68-1
liblua - 5.1.4-8
libminiupnpc - 1.6-1
libncurses - 5.7-5
libnl-tiny - 0.1-3
libopenssl - 1.0.1c-1
libpng - 1.2.46-2
libpthread - 0.9.33.2-1
libreadline - 5.2-2
librt - 0.9.33.2-1
libsqlite3 - 3071201-1
libstdcpp - 4.6-linaro-1
libtiff - 4.0.1-1
libubox - 2012-07-08-cca2ed6c8cdb3555fea43ff63ba1c9905dd7a164
libubus - 2012-06-01-a62e2f8c15a65efb1a82404d8f31e3bfc1cbe7d9
libubus-lua - 2012-06-01-a62e2f8c15a65efb1a82404d8f31e3bfc1cbe7d9
libuci - 2012-03-28.1-1
libuci-lua - 2012-03-28.1-1
libuuid - 2.21.2-1
libxtables - 1.4.10-4
libyaml - 0.1.3-1
lsqlite3 - 7-2
lua - 5.1.4-8
luci - trunk+svn9220-1
luci-app-ddns - trunk+svn9220-1
luci-app-firewall - trunk+svn9220-1
luci-app-samba - trunk+svn9220-1
luci-app-transmission - trunk+svn9220-1
luci-i18n-english - trunk+svn9220-1
luci-lib-core - trunk+svn9220-1
luci-lib-ipkg - trunk+svn9220-1
luci-lib-lmo - trunk+svn9220-1
luci-lib-nixio - trunk+svn9220-1
luci-lib-sys - trunk+svn9220-1
luci-lib-web - trunk+svn9220-1
luci-mod-admin-core - trunk+svn9220-1
luci-mod-admin-full - trunk+svn9220-1
luci-proto-core - trunk+svn9220-1
luci-proto-ppp - trunk+svn9220-1
luci-sgi-cgi - trunk+svn9220-1
luci-theme-base - trunk+svn9220-1
luci-theme-openwrt - trunk+svn9220-1
mtd - 18
netifd - 2012-08-11-9411d498c46fe3f1c4d79eb8fa0b7c97dd32a990
opkg - 618-2
ppp - 2.4.5-6
ppp-mod-pppoe - 2.4.5-6
pyload - 0.4.8-1
pyopenssl - 0.10-1
python - 2.7.3-1
python-crypto - 2.0.1-1
python-curl - 7.19.0-1
python-django - 1.3.1-1
python-expat - 2.7.3-1
python-imaging-library - 1.1.7-2
python-mini - 2.7.3-1
python-openssl - 2.7.3-1
python-sqlite - 2.3.5-1
python-sqlite3 - 2.7.3-1
pyyaml - 3.08-1
samba36-server - 3.6.5-2
sqlite3-cli - 3071201-1
swap-utils - 2.21.2-1
swconfig - 10
terminfo - 5.7-5
tesseract - 3.01-1
transmission-daemon - 2.61-1
transmission-web - 2.61-1
uboot-envtools - 2012.04.01-1
ubus - 2012-06-01-a62e2f8c15a65efb1a82404d8f31e3bfc1cbe7d9
ubusd - 2012-06-01-a62e2f8c15a65efb1a82404d8f31e3bfc1cbe7d9
uci - 2012-03-28.1-1
uclibcxx - 0.2.4-1
uhttpd - 40
unrar - 4.0.7-1
vsftpd - 3.0.0-1
wireless-tools - 29-5
wpad-mini - 20120428-2
zlib - 1.2.7-1

/opt is a partition for softwares in a flash drive...
Links maked:

ln -s /opt/usr/lib/libbz2.so.1.0.6 /usr/lib/libbz2.so.1.0.6
ln -s /opt/usr/lib/libbz2.so.1.0 /usr/lib/libbz2.so.1.0
ln -s /opt/usr/lib/libfreetype.so.6.8.0 /usr/lib/libfreetype.so.6.8.0
ln -s /opt/usr/lib/libfreetype.so.6 /usr/lib/libfreetype.so.6
ln -s /opt/usr/lib/libjpeg.so.62.0.0 /usr/lib/libjpeg.so.62.0.0
ln -s /opt/usr/lib/libjpeg.so.62 /usr/lib/libjpeg.so.62
ln -s /opt/usr/lib/libjs.so.1.0.6 /usr/lib/libjs.so.1.0.6
ln -s /opt/usr/lib/libjs.so.1 /usr/lib/libjs.so.1
ln -s /opt/usr/lib/libhistory.so.5 /usr/lib/libhistory.so.5
ln -s /opt/usr/lib/libreadline.so /usr/lib/libreadline.so
ln -s /opt/usr/lib/libreadline.so.5.2 /usr/lib/libreadline.so.5.2
ln -s /opt/usr/lib/libhistory.so /usr/lib/libhistory.so
ln -s /opt/usr/lib/libhistory.so.5.2 /usr/lib/libhistory.so.5.2
ln -s /opt/usr/lib/libreadline.so.5 /usr/lib/libreadline.so.5
ln -s /opt/usr/lib/libpanel.so.5 /usr/lib/libpanel.so.5
ln -s /opt/usr/lib/libform.so /usr/lib/libform.so
ln -s /opt/usr/lib/libmenu.so /usr/lib/libmenu.so
ln -s /opt/usr/lib/libncurses.so /usr/lib/libncurses.so
ln -s /opt/usr/lib/libcurses.so /usr/lib/libcurses.so
ln -s /opt/usr/lib/libncurses.so.5.7 /usr/lib/libncurses.so.5.7
ln -s /opt/usr/lib/libform.so.5.7 /usr/lib/libform.so.5.7
ln -s /opt/usr/lib/libmenu.so.5.7 /usr/lib/libmenu.so.5.7
ln -s /opt/usr/lib/libpanel.so.5.7 /usr/lib/libpanel.so.5.7
ln -s /opt/usr/lib/libncurses.so.5 /usr/lib/libncurses.so.5
ln -s /opt/usr/lib/libform.so.5 /usr/lib/libform.so.5
ln -s /opt/usr/lib/libmenu.so.5 /usr/lib/libmenu.so.5
ln -s /opt/usr/lib/libpanel.so /usr/lib/libpanel.so
ln -s /opt/usr/bin/js /usr/bin/js
ln -s /opt/usr/lib/libpng.so.3.46.0 /usr/lib/libpng.so.3.46.0
ln -s /opt/usr/lib/libpng12.so.0.46.0 /usr/lib/libpng12.so.0.46.0
ln -s /opt/usr/lib/libpng.so.3 /usr/lib/libpng.so.3
ln -s /opt/usr/lib/libpng12.so.0 /usr/lib/libpng12.so.0
ln -s /opt/usr/lib/libstdc++.so.6.0.16-gdb.py /usr/lib/libstdc++.so.6.0.16-gdb.py
ln -s /opt/usr/lib/libstdc++.so.6 /usr/lib/libstdc++.so.6
ln -s /opt/usr/lib/libstdc++.so.6.0.16 /usr/lib/libstdc++.so.6.0.16
ln -s /opt/usr/lib/libgmp.so.3 /usr/lib/libgmp.so.3
ln -s /opt/usr/lib/libgmp.so.3.5.0 /usr/lib/libgmp.so.3.5.0
ln -s /opt/usr/lib/libgif.so /usr/lib/libgif.so
ln -s /opt/usr/lib/libgif.so.4.1.6 /usr/lib/libgif.so.4.1.6
ln -s /opt/usr/lib/libgif.so.4 /usr/lib/libgif.so.4
ln -s /opt/usr/lib/libtiff.so.5.0.6 /usr/lib/libtiff.so.5.0.6
ln -s /opt/usr/lib/libtiff.so.5 /usr/lib/libtiff.so.5
ln -s /opt/usr/lib/liblept.so.2 /usr/lib/liblept.so.2
ln -s /opt/usr/lib/liblept.so.2.0.0 /usr/lib/liblept.so.2.0.0
ln -s /opt/usr/lib/libtesseract.so.3.0.1 /usr/lib/libtesseract.so.3.0.1
ln -s /opt/usr/bin/combine_tessdata /usr/bin/combine_tessdata
ln -s /opt/usr/bin/unicharset_extractor /usr/bin/unicharset_extractor
ln -s /opt/usr/bin/mftraining /usr/bin/mftraining
ln -s /opt/usr/bin/wordlist2dawg /usr/bin/wordlist2dawg
ln -s /opt/usr/bin/cntraining /usr/bin/cntraining
ln -s /opt/usr/bin/tesseract /usr/bin/tesseract
ln -s /opt/usr/lib/libtesseract.so.3 /usr/lib/libtesseract.so.3
ln -s /opt/usr/lib/libuClibc++.so.0 /usr/lib/libuClibc++.so.0
ln -s /opt/usr/lib/libuClibc++-0.2.4.so /usr/lib/libuClibc++-0.2.4.so
ln -s /opt/usr/bin/unrar /usr/bin/unrar
ln -s /opt/usr/bin/pyload /usr/bin/pyload
ln -s /opt/etc/init.d/pyload /etc/init.d/pyload
ln -s /opt/usr/share/python/ /usr/share/python
ln -s /opt/usr/share/terminfo/ /usr/share/terminfo
ln -s /opt/usr/share/tessdata/ /usr/share/tessdata
ln -s /opt/usr/lib/python2.7/ /usr/lib/python2.7
ln -s /opt/usr/lib/lua/lsqlite3.so /usr/lib/lua/lsqlite3.so
ln -s /opt/usr/bin/sqlite3 /usr/bin/sqlite3
ln -s /opt/usr/bin/cherryd /usr/bin/cherryd
ln -s /opt/usr/bin/easy_install /usr/bin/easy_install
ln -s /opt/usr/bin/flexget /usr/bin/flexget
ln -s /opt/usr/bin/flexget-webui /usr/bin/flexget-webui
ln -s /opt/usr/bin/python /usr/bin/python
ln -s /opt/usr/bin/python2.7 /usr/bin/python2.7
ln -s /opt/usr/lib/libffi.so.5 /usr/lib/libffi.so.5
ln -s /opt/usr/lib/libffi.so.5.0.10 /usr/lib/libffi.so.5.0.10
ln -s /opt/usr/lib/libsqlite3.so.0 /usr/lib/libsqlite3.so.0
ln -s /opt/usr/lib/libsqlite3.so.0.8.6 /usr/lib/libsqlite3.so.0.8.6
ln -s /opt/usr/lib/libyaml.so /usr/lib/libyaml.so
ln -s /opt/usr/lib/libexpat.so.1.5.2 /usr/lib/libexpat.so.1.5.2
ln -s /opt/usr/lib/libexpat.so.1 /usr/lib/libexpat.so.1

I'm possible make some problem, but in 10.03.1 pyload recognized sqlite3...
I'm sorry if I took your time for nothing.
But I would like to help on something.

Attachments (0)

Change History (13)

comment:1 Changed 5 years ago by Cybjit <cybjit@…>

That is odd, python-sqlite3 in AA beta is missing _sqlite3.so, while the snapshots have it.

comment:2 Changed 5 years ago by dgspai@…

True, it does not have that file.

root@TPLINK:~# opkg files python-sqlite3
Package python-sqlite3 (2.7.3-1) is installed on opt and has the following files:
/opt/usr/lib/python2.7/sqlite3/dbapi2.py
/opt/usr/lib/python2.7/sqlite3/dump.py
/opt/usr/lib/python2.7/sqlite3/test/types.py
/opt/usr/lib/python2.7/sqlite3/test/userfunctions.py
/opt/usr/lib/python2.7/sqlite3/test/hooks.py
/opt/usr/lib/python2.7/sqlite3/test/__init__.py
/opt/usr/lib/python2.7/sqlite3/test/dbapi.py
/opt/usr/lib/python2.7/sqlite3/test/regression.py
/opt/usr/lib/python2.7/sqlite3/test/transactions.py
/opt/usr/lib/python2.7/sqlite3/test/factory.py
/opt/usr/lib/python2.7/sqlite3/__init__.py
/opt/usr/lib/python2.7/sqlite3/test/py25tests.py
/opt/usr/lib/python2.7/sqlite3/test/dump.py

It is also strange that I could run FlexGet.
He needs these packages: python python-sqlite3 python-openssl distribute pyyaml​​.

comment:3 Changed 5 years ago by Firefly

Please fix this as soon as possible :/

comment:4 Changed 5 years ago by swalker

  • Resolution set to fixed
  • Status changed from new to closed

Fixed in r33902.

comment:5 Changed 5 years ago by Douglas Nunes <dgspai@…>

Just a note...
The bug continues in 12.09-RC1.

comment:6 Changed 5 years ago by mw@…

  • Resolution fixed deleted
  • Status changed from closed to reopened

This is still not fixed with 12.09 final:

root@OpenWrt:~# pyload -s
Choose your Language / Wähle deine Sprache ([en], de, fr, it, es, nl, sv, ru, pl, cs, pt_BR): 

Welcome to the pyLoad Configuration Assistent.
It will check your system and make a basic setup in order to run pyLoad.

The value in brackets [] always is the default value,
in case you don't want to change it or you are unsure what to choose, just hit enter.
Don't forget: You can always rerun this assistent with --setup or -s parameter, when you start pyLoadCore.
If you have any problems with this assistent hit STRG-C,
to abort and don't let him start with pyLoadCore automatically anymore.

When you are ready for system check, hit enter.

## System Check ##
Python Version: OK
pycurl: OK
sqlite3: missing

pycrypto: OK
py-OpenSSL: OK

py-imaging: OK
tesseract: OK

PyQt4: missing

jinja2: OK
beaker: OK
JS engine: OK

You need pycurl, sqlite and python 2.5, 2.6 or 2.7 to run pyLoad.
Please correct this and re-run pyLoad.
Setup will now close.

comment:7 Changed 4 years ago by anonymous

_sqlite3.so was missing in 12.09

# opkg list_installed |grep sqlite
libsqlite2 - 2.8.17-2
libsqlite3 - 3071201-1
python-sqlite - 2.3.5-1
python-sqlite3 - 2.7.3-1
sqlite2-cli - 2.8.17-2
sqlite3-cli - 3071201-1

# opkg files python-sqlite3
Package python-sqlite3 (2.7.3-1) is installed on root and has the following files:
/usr/lib/python2.7/sqlite3/dbapi2.py
/usr/lib/python2.7/sqlite3/test/hooks.py
/usr/lib/python2.7/sqlite3/test/dbapi.py
/usr/lib/python2.7/sqlite3/dump.py
/usr/lib/python2.7/sqlite3/test/py25tests.py
/usr/lib/python2.7/sqlite3/test/factory.py
/usr/lib/python2.7/sqlite3/test/userfunctions.py
/usr/lib/python2.7/sqlite3/test/dump.py
/usr/lib/python2.7/sqlite3/init.py
/usr/lib/python2.7/sqlite3/test/init.py
/usr/lib/python2.7/sqlite3/test/transactions.py
/usr/lib/python2.7/sqlite3/test/types.py
/usr/lib/python2.7/sqlite3/test/regression.py

# python
Python 2.7.3 (default, Oct 25 2012, 17:14:50)
[GCC 4.6.3 20120201 (prerelease)] on linux2
Type "help", "copyright", "credits" or "license" for more information.

import sqlite3

Traceback (most recent call last):

File "<stdin>", line 1, in <module>
File "/usr/lib/python2.7/sqlite3/init.py", line 24, in <module>

from dbapi2 import *

File "/usr/lib/python2.7/sqlite3/dbapi2.py", line 27, in <module>

from _sqlite3 import *

ImportError: No module named _sqlite3

# cat /etc/openwrt_release
DISTRIB_ID="OpenWrt"
DISTRIB_RELEASE="12.09"
DISTRIB_REVISION="r36088"
DISTRIB_CODENAME="attitude_adjustment"
DISTRIB_TARGET="x86/generic"
DISTRIB_DESCRIPTION="OpenWrt Attitude Adjustment 12.09"

comment:8 Changed 4 years ago by asbahl@…

I'm having the same problem! eagerly waiting for the solution.

comment:9 Changed 4 years ago by Jérôme Poulin <jeromepoulin@…>

This is still a problem in 12.09 final, installing http://downloads.openwrt.org/snapshots/trunk/ar71xx/packages/python-sqlite3_2.7.3-2_ar71xx.ipk worksaround the problem for me but this package should go stable as the -1 package just does not work.

comment:10 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:11 Changed 3 years ago by 434819754@…

I have resolve this issue.
I move the sqlite3 folder to the python /lib folder so the python can find the sqlite3 lib when it's runing.

comment:12 Changed 3 years ago by 434819754@…

I have resolve this issue.
I move the sqlite3 folder to the python /lib folder so the python can find the sqlite3 lib when it's runing.

comment:13 Changed 2 years ago by nbd

  • Resolution set to wontfix
  • Status changed from reopened to closed

python-sqlite is unmaintained

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.